Skip to main content
GET
/
v2
/
loyalties
/
earning-rules
/
{id}
Get Earning Rule
curl --request GET \
  --url https://api.voucherify.io/v2/loyalties/earning-rules/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-App-Id: <api-key>' \
  --header 'X-App-Token: <api-key>'
{
  "id": "<string>",
  "name": "<string>",
  "status": "DRAFT",
  "earnings": [
    {
      "name": "<string>",
      "rules": {
        "logic": "<string>"
      },
      "effects": [
        {
          "type": "POINTS",
          "points": {
            "value": 123,
            "card_definition_id": "<string>",
            "points_expiration": {
              "type": "NO_EXPIRATION",
              "rolling_expiration": {
                "period": {
                  "value": 2,
                  "unit": "DAY"
                },
                "rounding": {
                  "type": "END_OF_MONTH",
                  "value": 6
                }
              },
              "calendar_expiration": {
                "expiration_dates": [
                  {
                    "day": 16,
                    "month": 6
                  }
                ]
              },
              "sliding_expiration": {
                "earning_activity": true,
                "spending_activity": true,
                "custom_activity": true,
                "custom_activity_types": [
                  "<string>"
                ],
                "period": {
                  "value": 2,
                  "unit": "DAY"
                }
              }
            }
          },
          "points_proportional": {
            "calculation_type": "PRE_DISCOUNT_ORDER_AMOUNT",
            "card_definition_id": "<string>",
            "order": {
              "amount": {
                "every": 123,
                "value": 123
              },
              "total_amount": {
                "every": 123,
                "value": 123
              },
              "metadata": {
                "every": 123,
                "value": 123,
                "property": "<string>"
              }
            },
            "customer": {
              "metadata": {
                "every": 123,
                "value": 123,
                "property": "<string>"
              }
            },
            "order_items": {
              "amount": {
                "every": 123,
                "value": 123,
                "applicable_to": [
                  {
                    "type": "product",
                    "product": {
                      "id": "<string>"
                    },
                    "sku": {
                      "id": "<string>"
                    },
                    "products_collection": {
                      "id": "<string>"
                    }
                  }
                ]
              },
              "subtotal_amount": {
                "every": 123,
                "value": 123,
                "applicable_to": [
                  {
                    "type": "product",
                    "product": {
                      "id": "<string>"
                    },
                    "sku": {
                      "id": "<string>"
                    },
                    "products_collection": {
                      "id": "<string>"
                    }
                  }
                ]
              },
              "quantity": {
                "every": 123,
                "value": 123,
                "applicable_to": [
                  {
                    "type": "product",
                    "product": {
                      "id": "<string>"
                    },
                    "sku": {
                      "id": "<string>"
                    },
                    "products_collection": {
                      "id": "<string>"
                    }
                  }
                ]
              }
            },
            "points_expiration": {
              "type": "NO_EXPIRATION",
              "rolling_expiration": {
                "period": {
                  "value": 2,
                  "unit": "DAY"
                },
                "rounding": {
                  "type": "END_OF_MONTH",
                  "value": 6
                }
              },
              "calendar_expiration": {
                "expiration_dates": [
                  {
                    "day": 16,
                    "month": 6
                  }
                ]
              },
              "sliding_expiration": {
                "earning_activity": true,
                "spending_activity": true,
                "custom_activity": true,
                "custom_activity_types": [
                  "<string>"
                ],
                "period": {
                  "value": 2,
                  "unit": "DAY"
                }
              }
            }
          },
          "incentive": {
            "id": "<string>"
          }
        }
      ]
    }
  ],
  "trigger": {
    "event": "customer.order.paid",
    "custom_event": {
      "schema_id": "<string>"
    },
    "segment": {
      "id": "<string>"
    }
  },
  "metadata": {},
  "created_at": "2023-11-07T05:31:56Z",
  "object": "<string>",
  "error": {
    "message": "<string>"
  },
  "validity_hours": {
    "daily": [
      {
        "days_of_week": [
          123
        ],
        "start_time": "<string>",
        "end_time": "<string>"
      }
    ]
  },
  "start_date": "2023-11-07T05:31:56Z",
  "end_date": "2023-11-07T05:31:56Z",
  "trigger_limits": {
    "cooldown": {
      "type": "NO_COOLDOWN",
      "fixed_cooldown": {
        "period": {
          "value": 123,
          "unit": "HOUR"
        }
      }
    },
    "frequency": {
      "type": "NO_LIMIT",
      "limits": [
        {
          "type": "TIME_BASED",
          "period": {
            "type": "CURRENT_PERIOD",
            "current_period": {
              "unit": "DAY"
            }
          },
          "triggers": {
            "max": 123
          }
        }
      ]
    }
  },
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

id
string
required

Unique earning rule identifier.

Response

Earning rule details.

id
string
required

Unique earning rule identifier.

name
string
required
status
enum<string>
required
Available options:
DRAFT,
ACTIVE,
INACTIVE,
DELETED
earnings
object[]
required
trigger
object
required
metadata
object
required
created_at
string<date-time>
required
object
string
required
Allowed value: "earning_rule"
error
object
validity_hours
object
start_date
string<date-time> | null
end_date
string<date-time> | null
trigger_limits
object
updated_at
string<date-time> | null
Last modified on May 11, 2026